local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Inscription(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Inscription")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


-- Introduction

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we move into Inscription, this stands to reason you will be up fronting a lot of gold at the beginning of gold making with this profession, so if you cannot keep consistent with this, then this is not advised to get into. However, if you are able to stick with this profession the gold to profit potential is one of the greatest in the game thus far.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Glyphs


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Glyphs:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Starting with one of the most profitable crafts you can do with Inscription. This is Glyphs, this is because Glyphs are used quite frequently throughout the game. However, one keynote that you need to bare in mind before getting into the Glyph market is that you win with shear volume, so the idea of posting one specific Glyph will not serve you all that well.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("With Glyphs your setup is simple for crafting. You will want to craft every single glyph you can, for your first craft to get started into this market around five to ten of each glyph should be crafted, only, if they are profitable. Though in order to learn these glyphs is the kicker, so to speak. Glyphs are one of the most time extensive to learn out of most crafting professions as they are all not learned from your profession trainer.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Only a handful of glyphs come from the Inscription Trainer, the rest come from Quests, Reputation grinds and World Drops. This makes it take more time to learn every single Glyph within the game. Though if you are just starting out with this profession the key ones to go for is the Legion based Glyphs as they on average have the best profit margins along with have lots of different Glyphs linked to this expansion making it a good starting point for Glyph production.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("However, it is advised to continue levelling up Glyphs while you are selling, you must have at least a large volume of glyphs already being sold, hence why Legion Glyphs should be your starting point for gold making with Inscription.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Tomes

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Tomes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("For this one, it is a short and sweet one that all Scribes must be crafting. Tomes are one of the highest selling of Inscription crafts. Though these do have tendancy to fluctuate in price so a keen eye is required. If done right and sold heavily on Raid Nights ( Weekly Resets ), you should not have a problem bringing in large amounts of gold and selling through tomes.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
 -- Milling
 
   local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Milling:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Overall Milling is by far one way to reduce cost of your Crafts and also bring in additional gold for low effort. This in essence is by taking Herbs and Milling them into Pigments and finishing them off by turning them into there Respective Inks.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("A good Example for this is the Dreamleaf Milling method. Where you obtain Dreamleaf and Mass Mill them. This takes very little effort as you are pressing a button and it will mill all of the herbs for you. Once complete you will be rewarded with Sallow and Roseate Pigment. These can be used to craft Glyphs for Legion and as we stated in the Glyphs section this is a good way to start making gold with Inscription. One side note with this is that Dreamleaf when milled has a unique ability of generating Nightmare Pods when you are receiving your Pigments. These pods can also be opened for additional Pigments reducing the crafting cost of the Glyphs even further.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("For other Crafts, Milling herbs to Inks is one way to reduce the crafting cost of items and can lead to higher profits in the long run, hence way it is advised to continue with this for an extended period of time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Ink Trader

   local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Inks / Ink Trader:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Much like the Milling technique, creating inks is a good way to make gold but there is another way you can obtain a better value for the crafting cost and this is by taking advantage of the Ink Trader. This can be located in multiple Capital Cities generally next to the Inscription trainer. For this to work you will need to see that you can trade one base ink for either a 1:1 ratio or a 1:10 depending on the Inks rarity. This can be used by taking the respective herb, milling it for there Ink and trading them for an ink that costs more to craft or buy off of the auction house meaning we can reduce the craft of other Item crafts but most predominantly it is utilised for Glyph crafting to reduce the crafting cost of Glyphs no matter the expansion they are linked to making your life easier and also saving you gold. This is strongly advised to take advantage of as this will make you more gold into the future.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  -- Darkmoon Decks
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Darkmoon Decks:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we move into Darkmoon Decks, one keynote to remember is that the best time to make gold with them is at the beginning of an expansion. This is because they typically have the best item level and states when starting off a new expansion. This means if you are early into that market you get make tons of gold really fast.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("However, you are still able to make gold with these on a day to day basis running through the expansion as people will always be maxing out new characters, meaning that they will always need easy to obtain gear just to get them into those raids and such. Hence this is why the demand never really runs out but mearly trickles through the expansion. With Darkmoon Decks you can make a lot of gold but remember you have to learn said recipe, sometimes this is in the form of reputation, others it is just learning it from the trainer but regardsless of the way of obtaining the recipe, you will always win buy the shear amount of volume you can sell. Meaning a large amount of upfront gold invested into these decks at first and then over time this will be replaced and start generating you gold back so it is more of long term game as opposed to a short term game. The hardest part in making gold with these is staying on top of your competition and making sure your items are the first sold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- General Decks

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125General Decks:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for General Decks, what I mean by this the older or past expansion decks do tend to sell but these will typically sell at a slower rate than the current expansion. Generally you are best served selling the decks that give you Gear ( boe's ) because this is a form of getting transmog. These can be obtained through making the Vanilla Darkmoon Decks more often than not and these Decks will reward the character completing the hand in quest with said boe for there respective class.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("An example is, say I crafted a Deck with my Scribe ( Vanilla based one ), then I sent that to my Druid. She will then hand in the deck or quest item to a spawned darkmoon faire npc that will spawn and as such I will be given a boe reinvent to the druid class, which then I am able to sell for a profit on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Not only doing this is helpful but just selling the decks alone helps really well but I will remind you that, these do take longer to sell overall but the profit is most definitely worth the time in crafting these particular decks.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)





























end